> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudoapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Chat Completion



## OpenAPI

````yaml https://sudoapp.dev/api/openapi.json delete /v1/chat/completions/{completion_id}
openapi: 3.1.0
info:
  title: sudo-api
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security:
  - api_key: []
  - privy_token: []
tags:
  - name: Sudo API
    description: 'Sudo: The Unified AI Developer Platform'
paths:
  /v1/chat/completions/{completion_id}:
    delete:
      tags:
        - Router
      summary: Delete Chat Completion
      operationId: delete_chat_completion
      parameters:
        - name: completion_id
          in: path
          description: ID of the chat completion
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Chat completion deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatDeletionConfirmation'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Bad gateway error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key: []
components:
  schemas:
    ChatDeletionConfirmation:
      type: object
      description: Confirmation object returned when a chat completion is deleted.
      required:
        - object
        - id
        - deleted
      properties:
        deleted:
          type: boolean
          description: Whether the chat completion was successfully deleted.
        id:
          type: string
          description: The ID of the deleted chat completion.
        object:
          type: string
          description: The object type, which is always `chat.completion.deleted`.
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
    ErrorDetail:
      type: object
      required:
        - message
        - type
      properties:
        message:
          type: string
        type:
          type: string

````